#!/bin/bash

# Create the target directory if it doesn't exist
echo -e "Reserving space...\n"
sudo mkdir -p /opt/Ambiance

# Copy the necessary files and directories
echo -e "Installing...\n"
sudo cp -r data /opt/Ambiance/
sudo cp -r lib /opt/Ambiance/
sudo cp Ambiance_D.png /opt/Ambiance/
sudo cp Ambiance /opt/Ambiance/

echo -e "Creating a desktop entry...\n\n"
# Create a desktop entry
cat <<EOF | sudo tee /usr/share/applications/Ambiance.desktop
[Desktop Entry]
Version=1.0
Type=Application
Name=Ambiance
Exec=/opt/Ambiance/Ambiance
Icon=/opt/Ambiance/Ambiance_D.png
Terminal=false
EOF

echo -e "\nFinalizing Desktop Entry....\n"
# Set permissions for the desktop entry
sudo chmod +x /usr/share/applications/Ambiance.desktop

sudo update-desktop-database

echo "Installation completed successfully."
